DirectoryValueReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор значения
      example: 1258
    url:
      type: string
      nullable: true
      description: URL файла
      example: "https://images.com?id-123"
    type:
      type: string
      description: Тип значения из перечисления CatalogPropertyTypeEnum
      example: "integer"
  required:
    - id
    - url
    - type

DirectoryValueFillableProperties:
  type: object
  properties:
    value:
      nullable: false
      type: string
      description: >
        Значение элемента справочника (string|number|integer|boolean)
        Обязателен для заполнения, если не задан preload_file_id.
      example: "#FFFFFF"
    name:
      type: string
      nullable: true
      description: Название значения (например, имя цвета)
      example: "500 мм"
    code:
      type: string
      nullable: true
      description: Символьный код значения
      example: "15-mm"

DirectoryValueExtendedProperties:
  type: object
  properties:
    property_id:
      type: integer
      description: Идентификатор атрибута, которому принадлежит значение
      example: 150
  required:
    - property_id

DirectoryValue:
  allOf:
    - $ref: '#/DirectoryValueReadonlyProperties'
    - $ref: '#/DirectoryValueFillableProperties'
    - $ref: '#/DirectoryValueExtendedProperties'
